key_data_ext.h File Reference
`#include "key_state.h"`
`#include "hsm_key.h"`

Go to the source code of this file.

## Functions

int | key_data_cache_key_states (key_data_t *key_data)
const key_state_t * | key_data_cached_ds (key_data_t *key_data)
const key_state_t * | key_data_cached_rrsig (key_data_t *key_data)
const key_state_t * | key_data_cached_dnskey (key_data_t *key_data)
const key_state_t * | key_data_cached_rrsigdnskey (key_data_t *key_data)
key_state_t * | key_data_get_cached_ds (key_data_t *key_data)
key_state_t * | key_data_get_cached_rrsig (key_data_t *key_data)
key_state_t * | key_data_get_cached_dnskey (key_data_t *key_data)
key_state_t * | key_data_get_cached_rrsigdnskey (key_data_t *key_data)
const hsm_key_t * | key_data_cached_hsm_key (const key_data_t *key_data)

## Function Documentation

## key_data_cache_key_states()

int key_data_cache_key_states | ( | key_data_t * | key_data | ) |

extern

Cache all key states objects for a key data object.

Parameters

  [in] | key_data | a key_data_t pointer.

Returns
  DB_ERROR_* on failure, otherwise DB_OK.

Definition at line 33 of file key_data_ext.c.

References key_data_retrieve_key_state_list().

Referenced by removeDeadKeysNow(), and update().

## key_data_cached_dnskey()

const key_state_t * key_data_cached_dnskey | ( | key_data_t * | key_data | ) |

extern

Get the cached DNSKEY key state object of a key data object. key_data_cache_key_states() must have been called before this.

Parameters

  [in] | key_data | a key_data_t pointer.

Returns
  a key_state_t pointer.

Definition at line 68 of file key_data_ext.c.

References KEY_STATE_TYPE_DNSKEY.

Referenced by removeDeadKeysNow(), and update().

## key_data_cached_ds()

const key_state_t * key_data_cached_ds | ( | key_data_t * | key_data | ) |

extern

Get the cached DS key state object of a key data object. key_data_cache_key_states() must have been called before this.

Parameters

  [in] | key_data | a key_data_t pointer.

Returns
  a key_state_t pointer.

Definition at line 60 of file key_data_ext.c.

References KEY_STATE_TYPE_DS.

Referenced by removeDeadKeysNow().

## key_data_cached_hsm_key()

const hsm_key_t * key_data_cached_hsm_key | ( | const key_data_t * | key_data | ) |

extern

Get the cached hsm key object of a key data object. key_data_cache_hsm_key() must have been called before this.

Parameters

  [in] | key_data | a key_data_t pointer.

Returns
  a key_state_t pointer.

Definition at line 108 of file key_data_ext.c.

References key_data_hsm_key().

Referenced by removeDeadKeysNow().

## key_data_cached_rrsig()

const key_state_t * key_data_cached_rrsig | ( | key_data_t * | key_data | ) |

extern

Get the cached RRSIG key state object of a key data object. key_data_cache_key_states() must have been called before this.

Parameters

  [in] | key_data | a key_data_t pointer.

Returns
  a key_state_t pointer.

Definition at line 64 of file key_data_ext.c.

References KEY_STATE_TYPE_RRSIG.

Referenced by removeDeadKeysNow(), and update().

## key_data_cached_rrsigdnskey()

const key_state_t * key_data_cached_rrsigdnskey | ( | key_data_t * | key_data | ) |

extern

Get the cached RRSIG DNSKEY key state object of a key data object. key_data_cache_key_states() must have been called before this.

Parameters

  [in] | key_data | a key_data_t pointer.

Returns
  a key_state_t pointer.

Definition at line 72 of file key_data_ext.c.

References KEY_STATE_TYPE_RRSIGDNSKEY.

Referenced by removeDeadKeysNow(), and update().

## key_data_get_cached_dnskey()

key_state_t * key_data_get_cached_dnskey | ( | key_data_t * | key_data | ) |

extern

Get the cached DNSKEY key state object of a key data object. key_data_cache_key_states() must have been called before this.

Parameters

  [in] | key_data | a key_data_t pointer.

Returns
  a key_state_t pointer.

Definition at line 92 of file key_data_ext.c.

References key_state_new_copy(), and KEY_STATE_TYPE_DNSKEY.

## key_data_get_cached_ds()

key_state_t * key_data_get_cached_ds | ( | key_data_t * | key_data | ) |

extern

Get the cached DS key state object of a key data object. key_data_cache_key_states() must have been called before this.

Parameters

  [in] | key_data | a key_data_t pointer.

Returns
  a key_state_t pointer.

Definition at line 76 of file key_data_ext.c.

References key_state_new_copy(), and KEY_STATE_TYPE_DS.

## key_data_get_cached_rrsig()

key_state_t * key_data_get_cached_rrsig | ( | key_data_t * | key_data | ) |

extern

Get the cached RRSIG key state object of a key data object. key_data_cache_key_states() must have been called before this.

Parameters

  [in] | key_data | a key_data_t pointer.

Returns
  a key_state_t pointer.

Definition at line 84 of file key_data_ext.c.

References key_state_new_copy(), and KEY_STATE_TYPE_RRSIG.

## key_data_get_cached_rrsigdnskey()

key_state_t * key_data_get_cached_rrsigdnskey | ( | key_data_t * | key_data | ) |

extern

Get the cached RRSIG DNSKEY key state object of a key data object. key_data_cache_key_states() must have been called before this.

Parameters

  [in] | key_data | a key_data_t pointer.

Returns
  a key_state_t pointer.

Definition at line 100 of file key_data_ext.c.

References key_state_new_copy(), and KEY_STATE_TYPE_RRSIGDNSKEY.